Bug 846373 - [eap6] configuring security domain has no effect
[eap6] configuring security domain has no effect
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 839552
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-07 11:11 EDT by Simeon Pinder
Modified: 2013-09-01 15:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839552
Environment:
Last Closed: 2013-09-01 15:22:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2012-08-07 11:11:40 EDT
+++ This bug was initially created as a clone of Bug #839552 +++

Description of problem: When configuring security domain on EAP6, JON claims configuration update was successfull, but incorrectly. Configuration is not updated on server


Version-Release number of selected component (if applicable):
Version: 4.5.0-SNAPSHOT
Build Number: fce34e6
EAP 6.GA

How reproducible:always


Steps to Reproduce:
1.have EAP6 in standalone mode, go to security subsystem and add a security domain
2.configure security domain - change cache-type
  
Actual results: RHQ claims that config update was successfull, but configuration on EAP is not changed. Agent produces this in log:

2012-07-12 11:01:14,103 WARN  [ResourceContainer.invoker.daemon-408] (rhq.modules.plugins.jbossas7.ASConnection)- Received 500 (Internal Server Error) response to Operation{operation='read-attribute', address=Address{path: subsystem=security,security-domain=aaa}, additionalProperties={name=name}} - response body was [{"outcome" : "failed", "failure-description" : "JBAS014792: Unknown attribute name", "rolled-back" : true, "response-headers" : {"process-state" : "reload-required"}}].
2012-07-12 11:01:17,959 WARN  [ResourceContainer.invoker.daemon-408] (rhq.modules.plugins.jbossas7.ASConnection)- Received 500 (Internal Server Error) response to Operation{operation='read-attribute', address=Address{path: subsystem=security,security-domain=aaa}, additionalProperties={name=name}} - response body was [{"outcome" : "failed", "failure-description" : "JBAS014792: Unknown attribute name", "rolled-back" : true, "response-headers" : {"process-state" : "reload-required"}}].

Refreshing UI and reading live configuration shows original configuration - without any change.

Expected results: Configuration is changed.


Additional info:

--- Additional comment from spinder@redhat.com on 2012-08-07 11:09:16 EDT ---

This is an issue. I've reproduced and fixed it.
Comment 1 Simeon Pinder 2012-08-07 11:17:38 EDT
This is fixed in master with commit: 00b1ee491e609

Moving to ON_QA.
Comment 2 Heiko W. Rupp 2013-09-01 15:22:49 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.